From fed1f19995153e38e371bac0f402b77e690e3373 Mon Sep 17 00:00:00 2001
From: Brian Quach <brian@ti.com>
Date: Wed, 6 Dec 2023 11:48:46 -0600
Subject: [PATCH] Build: Fix build when PS_ENCRYPTION=OFF

Signed-off-by: Brian Quach <brian@ti.com>
Change-Id: ecc3f3cddb171fda1037d9868c6c3a73356ab17e
---
 secure_fw/partitions/protected_storage/ps_object_defs.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/secure_fw/partitions/protected_storage/ps_object_defs.h b/secure_fw/partitions/protected_storage/ps_object_defs.h
index 7b0265443..47204c800 100644
--- a/secure_fw/partitions/protected_storage/ps_object_defs.h
+++ b/secure_fw/partitions/protected_storage/ps_object_defs.h
@@ -57,7 +57,9 @@ struct ps_obj_header_t {
 struct ps_object_t {
     struct ps_obj_header_t header;         /*!< Object header */
     uint8_t data[PS_MAX_OBJECT_DATA_SIZE]; /*!< Object data */
+#ifdef PS_ENCRYPTION
     uint8_t tag_iv[PS_TAG_IV_LEN_MAX];
+#endif
 };
 
 
-- 
2.42.0.windows.2

